LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XManifestWriter Interface Referencepublished

This interface writes the manifest data to a file. More...

`import"XManifestWriter.idl";`

Inheritance diagram for XManifestWriter:

## Public Member Functions
void | writeManifestSequence ([in] com::sun::star::io::XOutputStream rStream, [in] sequence< sequence< com::sun::star::beans::PropertyValue > > rSequence)
| Writes the supplied sequence of manifest entries to the supplied XOutputStream. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface writes the manifest data to a file.

The user calls writeManifestSequence() with the XOutputStream to write the data to and the sequence of manifest entries to be written passed as parameters. Each manifest entry is represented by a sequence of PropertyValues.

## Member Function Documentation

## ◆ writeManifestSequence()

void writeManifestSequence | ( | [in] com::sun::star::io::XOutputStream | rStream,
|  | [in] sequence< sequence< com::sun::star::beans::PropertyValue > > | rSequence
| ) |  |

Writes the supplied sequence of manifest entries to the supplied XOutputStream.

The documentation for this interface was generated from the following file:

- com/sun/star/packages/manifest/XManifestWriter.idl